# Dictionary: Base Jobs Data

This data dictionary shows all available data fields, explains their values, and provides jobs data samples.

All tables have snippets of the Base Jobs dataset.

{% tabs %}
{% tab title="Data fields per category" %}

1. [Metadata](#metadata)
2. [Job information](#job-information)
3. [Recruiter information](#recruiter-information)
4. [Company information](#company-information)
5. [Salary](#benefits)
6. [Benefits](#benefits)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

### Metadata

| Data field           | Description                                                                                                                                                                                                                 | Data type |
| -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| `source_id`          | Source-specific job ID                                                                                                                                                                                                      | Integer   |
| `id`                 | Unified job identifier across all sources                                                                                                                                                                                   | Integer   |
| `date_posted`        | Job ad publish date                                                                                                                                                                                                         | Timestamp |
| `posted`             | Job ad publish time (as displayed on Professional network)                                                                                                                                                                  | String    |
| `valid_through`      | Expiry date                                                                                                                                                                                                                 | Timestamp |
| `url`                | Job posting URL                                                                                                                                                                                                             | String    |
| `application_active` | <p>One of two possible values:</p><p><code>0</code> – the last time we scraped the job posting, the job posting was deactivated.<br><code>1</code> – the last time we scraped the job posting, it was still active</p>      | Integer   |
| `deleted`            | <p>One of two possible values: </p><p><code>0</code> – job posting is available and was successfully scraped</p><p><code>1</code> – the last time we scraped the job posting, the <em>Page not found</em> was returned </p> | Integer   |
| `created_at`         | The time and date when we **first** scraped the record                                                                                                                                                                      | Timestamp |
| `updated_at`         | The time and date when we **updated** the record                                                                                                                                                                            | Timestamp |

**Refer to the table example from the data:**

{% code title="Metadata" %}

```json
"source_id": 1234567,
"id": 12345667,
"date_posted":"2025-08-04 18:20:13",
"posted": "4 months ago",
"valid_through": "2025-12-11 19:25:35",
"url": "https://www.professional-network.com/jobs/example",
"application_active": 1,
"deleted": 0,
"created_at": "2025-10-04 20:18:44",
"updated_at": "2025-10-04 20:18:44"
```

{% endcode %}

### Job information

| Data field                      | Description                                                                                                                                          | Data type        |
| ------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| `title`                         | Job title                                                                                                                                            | String           |
| `description`                   | <p>Job description<br><strong>Note:</strong> contains control characters.</p>                                                                        | String           |
| `seniority`                     | Job seniority level                                                                                                                                  | String           |
| `employment_type`               | Standardised values to display one of the values: “Full-time “, “Part-time“, “Contract”, “Temporary“, “Internship“, “Volunteer“                      | String           |
| `external_url`                  | External URL provided by the company referring to the job posting                                                                                    | String           |
| `location`                      | Job location                                                                                                                                         | String           |
| `country`                       | Job country location                                                                                                                                 | String           |
| `country_iso_2`                 | ISO 2-letter code of the location country (based on location and/or country values)                                                                  | String           |
| `country_iso_2`                 | ISO 3-letter code of the location country (based on location and/or country values)                                                                  | String           |
| `state`                         | Job location state (if available)                                                                                                                    | String           |
| `city`                          | Job location city                                                                                                                                    | String           |
| `regions`                       | Associated geographical regions based on location and/or country values                                                                              | Array of strings |
| `latitude`                      | Latitude of location (if available)                                                                                                                  | Float            |
| `longitude`                     | Longitude of location (if available)                                                                                                                 | Float            |
| `required_months_of_experience` | Experience in months requirements                                                                                                                    | Integer          |
| `applicants_count`              | Number of applicants                                                                                                                                 | String           |
| `estimated_applicants_count`    | <p>Estimated number of applicants. E.g., </p><p>“Be among the first 25 applicants” = <code>-1</code><br>“Over 200 applicants” = <code>200</code></p> | Integer          |
| `functions`                     | Standardized job functions                                                                                                                           | Array of strings |
| `industries`                    | Listed industries                                                                                                                                    | Array of strings |

**Refer to the table example from the data:**

{% code title="Job information" %}

```json
"title": "Client Manager",
"description": "Example Company is looking for a new employee. Here is a description of this job offer.",
"seniority": "Not Applicable",
"employment_type": "Full-time",
"external_url": null,
"location": "New York, United States",
"country": "United States",
"country_iso_2": "US",
"country_iso_3": "USA",
"state": "New York",
"city": "New York",
"regions": [
    "Americas",
    "Northern America",
    "AMER"
],
"latitude": 42.939,
"longitude": -75.620,
"required_months_of_experience": 144,
"applicants_count": "200 applicants",
"estimated_applicants_count": 200,
"functions": [
   "Information Technology"
],
"industries": [
   "IT Services and IT Consulting"
],
```

{% endcode %}

### Recruiter information

| Data field      | Description             | Data type |
| --------------- | ----------------------- | --------- |
| **`recruiter`** | Recruiter information   | Struct    |
| `profile_url`   | Recruiter's profile url | String    |
| `name`          | Recruiter's name        | String    |
| `description`   | Recruiter's description | String    |

**Refer to the table example from the data:**

{% code title="Recruiter information" %}

```json
 "recruiter": {
    "profile_url": "https://www.professional-network.com/john-doe",
    "name": "John Doe",
    "description": "Find your dream job"
 },
```

{% endcode %}

### Company information

| Data field    | Description                                                            | Data type |
| ------------- | ---------------------------------------------------------------------- | --------- |
| `company_id`  | Company identification key, relating directly to the **company table** | Long      |
| **`company`** | Company information                                                    | Struct    |
| `name`        | Company name                                                           | String    |
| `url`         | Company profile URL                                                    | String    |
| `logo_url`    | Company logo URL                                                       | String    |

**Refer to the table example from the data:**

{% code title="Company information" %}

```json
"company_id": 10234567,
"company": {
   "name": "Example Company",
   "url": "http://www.example-company.com",
   "logo_url": "https://www.professional-network.com/logo.png"
}
```

{% endcode %}

### Salary

| Data field   | Description                                                         | Data type |
| ------------ | ------------------------------------------------------------------- | --------- |
| **`salary`** | All salary records for this job                                     | Struct    |
| `string`     | Full and formatted salary field value                               | String    |
| `min_value`  | Minimum advertised salary                                           | String    |
| `max_value`  | Maximum advertised salary                                           | String    |
| `currency`   | Salary currency                                                     | String    |
| `unit`       | The unit of measurement or period associated with the salary values | String    |

**Refer to the table example from the data:**

{% code title="Salary" %}

```json
"salary": {
   "string": "USD 20-35 HOUR",
   "min_value": "20",
   "max_value": "35",
   "currency": "USD",
   "unit": "HOUR"
},
```

{% endcode %}

### Benefits

| Data field     | Description              | Data type        |
| -------------- | ------------------------ | ---------------- |
| **`benefits`** | Listed position benefits | Array of strings |

**Refer to the table example from the data:**

{% code title="Benefits" %}

```json
 "benefits": [
    "employee discount",
    "life insurance",
    "paid sick time",
    "vision insurance",
    "dental insurance",
    "health savings account",
    "health insurance"
 ]
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/jobs-data/base-jobs-data/dictionary-base-jobs-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
